# Interface StyleSymbolReferenceJson

The StyleSymbolReference is used to reference a symbol from a portal styleItem.

See https://developers.arcgis.com/web-scene-specification/objects/styleSymbolReference/.

interface StyleSymbolReferenceJson {
name?: string;
styleName?: string;
styleUrl?: string;
type: "styleSymbolReference";
}

#####
Index

### Properties

name?
styleName?
styleUrl?
type

##
Properties

### `Optional` name

name?: string

Identifies a symbol in the style by name.

### `Optional` styleName

styleName?: string

A registered web style name.

### `Optional` styleUrl

styleUrl?: string

URL that points to the web style definition.

### type

type

#### Inherit Doc